#ifndef __CustomizedOracle_h__
#define __CustomizedOracle_h__

#include "Event.h"
#include "IEvent.h"
#include "IOracle.h"

class CustomizedOracle : public IOracle::OracleChooser
{
public:
    Event choose( Vector<Event> &enabledEvents )
    {
        sleep( 1 );

        return enabledEvents[rand() % enabledEvents.size()];
    }
};

#endif // __CustomizedOracle_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
