#ifndef __Patch1Spanner_h__
#define __Patch1Spanner_h__

#include "StateGraphSpanner.h"
#include "patches/Patch1.h"

class Patch1Token : public StateGraphSpanner::ThreadToken
{
public:
    BThread *freshCopy()
    {
        return new Patch1;
    }
};

class Patch1Spanner
{
public:
    void span( ThreadStateGraph &stateGraph )
    {
        Patch1Token token;
        StateGraphSpanner().span( token, stateGraph );
    }
};

#endif // __Patch1Spanner_h__

//
// Local Variables:
// compile-command: "make -C ../.. "
// tags-file-name: "../../TAGS"
// c-basic-offset: 4
// End:
//
