#ifndef __PhilOneSpanner_h__
#define __PhilOneSpanner_h__

#include "PhilOne.h"
#include "StateGraphSpanner.h"

class PhilOneToken : public StateGraphSpanner::ThreadToken
{
public:
    BThread *freshCopy()
    {
        return new PhilOne;
    }
};

class PhilOneSpanner
{
public:
    void span( ThreadStateGraph &stateGraph )
    {
        PhilOneToken token;
        StateGraphSpanner().span( token, stateGraph );

        stateGraph._threadName = "philOne";
    }
};

#endif // __PhilOneSpanner_h__

//
// Local Variables:
// compile-command: "make -C ../.. "
// tags-file-name: "../../TAGS"
// c-basic-offset: 4
// End:
//
