#ifndef __PhilThreeSpanner_h__
#define __PhilThreeSpanner_h__

#include "PhilThree.h"
#include "StateGraphSpanner.h"

class PhilThreeToken : public StateGraphSpanner::ThreadToken
{
public:
    BThread *freshCopy()
    {
        return new PhilThree;
    }
};

class PhilThreeSpanner
{
public:
    void span( ThreadStateGraph &stateGraph )
    {
        PhilThreeToken token;
        StateGraphSpanner().span( token, stateGraph );

        stateGraph._threadName = "philThree";
    }
};

#endif // __PhilThreeSpanner_h__

//
// Local Variables:
// compile-command: "make -C ../.. "
// tags-file-name: "../../TAGS"
// c-basic-offset: 4
// End:
//
