#ifndef __PhilTwoSpanner_h__
#define __PhilTwoSpanner_h__

#include "PhilTwo.h"
#include "StateGraphSpanner.h"

class PhilTwoToken : public StateGraphSpanner::ThreadToken
{
public:
    BThread *freshCopy()
    {
        return new PhilTwo;
    }
};

class PhilTwoSpanner
{
public:
    void span( ThreadStateGraph &stateGraph )
    {
        PhilTwoToken token;
        StateGraphSpanner().span( token, stateGraph );

        stateGraph._threadName = "philTwo";
    }
};

#endif // __PhilTwoSpanner_h__

//
// Local Variables:
// compile-command: "make -C ../.. "
// tags-file-name: "../../TAGS"
// c-basic-offset: 4
// End:
//
