#ifndef __ForkOneSpanner_h__
#define __ForkOneSpanner_h__

#include "ForkOne.h"
#include "StateGraphSpanner.h"

class ForkOneToken : public StateGraphSpanner::ThreadToken
{
public:
    BThread *freshCopy()
    {
        return new ForkOne;
    }
};

class ForkOneSpanner
{
public:
    void span( ThreadStateGraph &stateGraph )
    {
        ForkOneToken token;
        StateGraphSpanner().span( token, stateGraph );

        stateGraph._threadName = "forkOne";
    }
};

#endif // __ForkOneSpanner_h__

//
// Local Variables:
// compile-command: "make -C ../.. "
// tags-file-name: "../../TAGS"
// c-basic-offset: 4
// End:
//
