#ifndef __ForkThreeSpanner_h__
#define __ForkThreeSpanner_h__

#include "ForkThree.h"
#include "StateGraphSpanner.h"

class ForkThreeToken : public StateGraphSpanner::ThreadToken
{
public:
    BThread *freshCopy()
    {
        return new ForkThree;
    }
};

class ForkThreeSpanner
{
public:
    void span( ThreadStateGraph &stateGraph )
    {
        ForkThreeToken token;
        StateGraphSpanner().span( token, stateGraph );

        stateGraph._threadName = "forkThree";
    }
};

#endif // __ForkThreeSpanner_h__

//
// Local Variables:
// compile-command: "make -C ../.. "
// tags-file-name: "../../TAGS"
// c-basic-offset: 4
// End:
//
