#ifndef __ForkTwoSpanner_h__
#define __ForkTwoSpanner_h__

#include "ForkTwo.h"
#include "StateGraphSpanner.h"

class ForkTwoToken : public StateGraphSpanner::ThreadToken
{
public:
    BThread *freshCopy()
    {
        return new ForkTwo;
    }
};

class ForkTwoSpanner
{
public:
    void span( ThreadStateGraph &stateGraph )
    {
        ForkTwoToken token;
        StateGraphSpanner().span( token, stateGraph );

        stateGraph._threadName = "forkTwo";
    }
};

#endif // __ForkTwoSpanner_h__

//
// Local Variables:
// compile-command: "make -C ../.. "
// tags-file-name: "../../TAGS"
// c-basic-offset: 4
// End:
//
